# pgpPktSigV4_s Struct Reference

5.2.3. More...

`#include <rpmpgp.h>`

## Data Fields

byte | version
byte | sigtype
byte | pubkey_algo
byte | hash_algo
byte | hashlen [2]

## Detailed Description

5.2.3.

Version 4 Signature Packet Format

The body of a version 4 Signature Packet contains:

- One-octet version number (4).
- One-octet signature type.
- One-octet public key algorithm.
- One-octet hash algorithm.
- Two-octet scalar octet count for following hashed subpacket data. Note that this is the length in octets of all of the hashed subpackets; a pointer incremented by this number will skip over the hashed subpackets.
- Hashed subpacket data. (zero or more subpackets)
- Two-octet scalar octet count for following unhashed subpacket data. Note that this is the length in octets of all of the unhashed subpackets; a pointer incremented by this number will skip over the unhashed subpackets.
- Unhashed subpacket data. (zero or more subpackets)
- Two-octet field holding left 16 bits of signed hash value.
- One or more multi-precision integers comprising the signature.

Definition at line 349 of file rpmpgp.h.

## Field Documentation

byte pgpPktSigV4_s::hash_algo

hash algorithm.

Definition at line 353 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpPktSigV4_s::hashlen[2]

length of following hashed material.

Definition at line 354 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpPktSigV4_s::pubkey_algo

public key algorithm.

Definition at line 352 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpPktSigV4_s::sigtype

signature type.

Definition at line 351 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpPktSigV4_s::version

version number (4).

Definition at line 350 of file rpmpgp.h.

Referenced by pgpPrtSig().

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h